BuildTools compilation error

Discussion in 'Spigot Discussion' started by crysis992, May 15, 2017.

  1. I'm trying since yesterday to get the 1.12 pre-release of spigot
    but I'm getting a compilation error when trying to run BuildTools with the --dev argument. But its working fine with the stable builds.

    On Windows: https://pastebin.com/metn88Yt
    On Linux: https://paste.ee/p/J1APJ

    Running the latest buildtools.jar
    Already tried to wipe the buildtools folder but same issue.

    Any suggestions what's wrong?
     
  2. electronicboy

    IRC Staff

    make sure that you're running java 8, and not any other version, delete the folder and try again; in some cases you may need to disable your antivirus as it manages to upset git
     
  3. Same error with disabled antivirus (Just running Windows Defender) and none at all on my dedicated server.

    Java Version on Linux:
    Code (Text):

    [email protected]:~$ java -version
    java version "1.8.0_131"
    Java(TM) SE Runtime Environment (build 1.8.0_131-b11)
    Java HotSpot(TM) 64-Bit Server VM (build 25.131-b11, mixed mode)
    [email protected]:~$
     
    windows:
    Code (Text):

    C:\Users\crysis>java -version
    java version "1.8.0_111"
    Java(TM) SE Runtime Environment (build 1.8.0_111-b14)
    Java HotSpot(TM) 64-Bit Server VM (build 25.111-b14, mixed mode)
     
    As I said, the stable build 1.11 / 1.10 and any others are working fine, they build like expected.
     
  4. md_5

    Administrator Developer

    Delete your .m2 directory, it will be in your home folder.
    Something (potentially firewall or antivirus) might've caused you to download a corrupt snakeyaml
     
    • Friendly Friendly x 1
  5. Thanks, that worked. :)